<?xml version="1.0" encoding="utf-8"?>
<resources>
    <!-- Base Theme. Insert common theme attributes here -->
    <style name="Base.Theme.Mercury"
        parent="Platform.Theme.Mercury">
        <!--<item name="android:colorBackground">@color/lightThemeBackground</item>-->
        <!--<item name="colorSurface">@color/lightThemeBackground</item>-->
        <item name="colorPrimaryDark">@color/primaryDarkColor</item>
        <item name="colorPrimary">@color/primaryColor</item>
        <item name="colorSecondary">@color/secondaryColor</item>
        <item name="colorSecondaryVariant">@color/secondaryDarkColor</item>
        <item name="colorOnPrimary">@color/primaryTextColor</item>
        <item name="colorOnSecondary">@color/secondaryTextColor</item>


        <item name="colorOnPrimarySurface">@color/white</item>
        <item name="appBarLayoutStyle">@style/Widget.MaterialComponents.AppBarLayout.PrimarySurface</item>

        <!--<item name="toolbarStyle">@style/Widget.MaterialComponents.Toolbar.Surface</item>-->
        <item name="bottomNavigationStyle">@style/Widget.MaterialComponents.BottomNavigationView.PrimarySurface</item>
        <item name="tabStyle">@style/Widget.MaterialComponents.TabLayout</item>

        <item name="composeAreaBackgroundColor">@color/white</item>
        <item name="composeAreaOutline">@color/outline_compose</item>

        <item name="messageBubbleColor">@color/white</item>
        <item name="messageTextColor">@color/textBlack</item>

        <item name="windowActionModeOverlay">true</item>

        <item name="materialButtonStyle">@style/Widget.MaterialComponents.Button.TextButton</item>
    </style>

    <!-- Light Theme -->
    <style name="Theme.Mercury"
        parent="Base.Theme.Mercury">

    </style>

    <!-- Dark Theme -->
    <!-- TODO -->
    <style name="Theme.Mercury.Dark"
        parent="Base.Theme.Mercury">
        <item name="android:colorBackground">@color/darkThemeBackground</item>
    </style>

    <!-- API v19 specific theme attributes -->
    <style name="Platform.V19.Theme.Mercury"
        parent="Theme.MaterialComponents.Light.NoActionBar">
        <!-- Since we cannot use elevation, draw outline around messages -->
        <item name="messageBubbleOutline">@color/outline_msg</item>
    </style>

    <!-- Don't change this -->
    <!-- Platform Theme inherits from Platform.Vxx Theme for each API level -->
    <style name="Platform.Theme.Mercury"
        parent="Platform.V19.Theme.Mercury" />

</resources>